Bug 196616 - allegro-devel missing alld and allp libs
allegro-devel missing alld and allp libs
Product: Fedora
Classification: Fedora
Component: allegro (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-06-25 21:02 EDT by Need Real Name
Modified: 2013-07-02 19:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-26 07:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-06-25 21:02:27 EDT
Description of problem:

The allegro-devel component only includes the allegro "release" libs to link
against.  The "debug" and "profile" libs are not present.  Is it possible to add
the debug and profile libs to the allgro-devel component?

Version-Release number of selected component (if applicable):


How reproducible:

every time

Steps to Reproduce:
1. This fails => g++ -o foo foo.o `allegro-config --libs debug`
/usr/bin/ld: cannot find -lalld-4.2.0

2. This fails => g++ -o foo foo.o `allegro-config --libs profile`
/usr/bin/ld: cannot find -lallp-4.2.0

3. This works => g++ -o foo foo.o `allegro-config --libs release`
Actual results:

Expected results:

Additional info:
Comment 1 Jindrich Novy 2006-06-26 07:25:18 EDT
Ok, debug and profiling libraries are now added to allegro-devel subpackage. Thanks.
Comment 2 Hans de Goede 2006-06-26 08:33:09 EDT

Strange I didn't get added to the CC-list for this even though I'm in the
initial CC list in owners.list . 

Jindirch, any clues, or shall I discuss this on f-e-l?

Comment 3 Jindrich Novy 2006-06-26 08:36:34 EDT
Hans, it happened about year ago when some bugzilla tweaks were done, I don't
know anything about this one.
Comment 4 Need Real Name 2006-06-27 19:48:02 EDT
Wow!  Thanks for the quick response.

Note You need to log in before you can comment on or make changes to this bug.